# 转化链路保障

1. ### 需求概述

   当管理员创建或编辑活动后，会触发该模块的运行。

   所谓保障，即确保受邀人在转化链路中能照着预定的轨迹产生交互，并实现全链路的身份识别和行为监控。

2. ### 提供小程序卡片投放接口（客服消息）

   供服务号关注事件处理的模块调用，向受邀人发送相应的小程序卡片。

   - 以下这些转化路径，将发送不同的小程序卡片：

     ![mark](http://qiniu.demogic.com/blog/20191111/kBK3KkyDllut.png?imageslim)

     1. 发送活动营销页的小程序卡片，不需要带入邀请人参数。

     2. 发送会员认证的小程序卡片，不需要带入邀请人参数。

     3. 发送游戏页面的小程序卡片，不需要带入邀请人参数。

     4. 发送微信原生卡券，不需要带入邀请人参数。

        

3. ### 提供卡券投放接口

   供会员认证事件处理的模块调用，向受邀人投放活动指定卡券。

   会员认证后进行逻辑判断，若满足活动属于以下转化路径，则调用卡券投放接口，将卡券放入用户的卡券包（待领取状态），并调用受邀人卡券奖励的模板消息通知。

   ![mark](http://qiniu.demogic.com/blog/20191111/XhtfrgB5oW73.png?imageslim)

   

   

   
